circuit(6)

NAME
circuit - animates a number of 3D electronic components.

SYNOPSIS
circuit [-display host:display.screen] [-visual visual] [-window] [-root] [-delay number] [-parts number] [-no-spin] [-rotate] [-speed number] [-no-light] [-fps]

DESCRIPTION
Animates a number of 3D electronic components.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-delay number
    Per-frame delay, in microseconds. Default: 20000 (0.02 seconds.).

-parts number
    Number of parts. Default: 10.

-spin | -no-spin
    Whether the objects should spin.

-rotate | -no-rotate
    Whether the scene should spin.

-speed number
    Rotation speed, 0 - 100. Default: 1.

-light | -no-light
    Whether to us lighting, or flat coloring.

-fps
    Display the current frame rate, CPU load, and polygon count.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2002 by Ben Buxton. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Ben Buxton.